package HTFeed::Namespace::INU;
use strict;
use warnings;
use HTFeed::Namespace ;
use base qw(HTFeed::Namespace);

# The HathiTrust namespace
our $identifier = 'inu';

our $config = {

    # The GRIN ID
    grinid => 'IND',
    packagetypes => [qw(ht google)],

    description => 'Indiana University',

    handle_prefix => '2027/inu',

    tags => [qw(bib cic pd_only report)]
};

sub validate_barcode {
    my $self    = shift;
    my $barcode = shift;
    return ($self->luhn_is_valid('30000',$barcode)
	or $self->luhn_is_valid('32000',$barcode)
	or $self->luhn_is_valid('39000',$barcode));
}

1;

__END__

=pod

This is the namespace configuration file for Indiana University

=head1 SYNOPSIS

use HTFeed::Namespace;

my $namespace = new HTFeed::Namespace('inu');

=head1 AUTHOR

Aaron Elkiss, University of Michigan, aelkiss@umich.edu

=head1 COPYRIGHT

Copyright (c) 2010 University of Michigan. All rights reserved.  This program
is free software; you can redistribute it and/or modify it under the same terms
as Perl itself.

=cut
