package HTFeed::Namespace::PUR1;
use strict;
use warnings;
use HTFeed::Namespace ;
use base qw(HTFeed::Namespace);

# The HathiTrust namespace
our $identifier = 'pur1';

our $config = {

    # The GRIN ID
    grinid => 'PURD',
    packagetypes => [qw(ht google)],

    description => 'Purdue University',

    handle_prefix => '2027/pur1',
	
    tags => [qw(bib cic pd_only report)]
};

sub validate_barcode {
    my $self    = shift;
    my $barcode = shift;
    return $self->luhn_is_valid('32754',$barcode);
}

1;

__END__

=pod

This is the namespace configuration file for Purdue University

=head1 SYNOPSIS

use HTFeed::Namespace;

my $namespace = new HTFeed::Namespace('pur1');

=head1 AUTHOR

Aaron Elkiss, University of Michigan, aelkiss@umich.edu

=head1 COPYRIGHT

Copyright (c) 2011 University of Michigan. All rights reserved.  This program
is free software; you can redistribute it and/or modify it under the same terms
as Perl itself.

=cut
