package HTFeed::Namespace::UC2;

# University of California, IA content

use base qw(HTFeed::Namespace);

# The HathiTrust namespace
our $identifier = 'uc2';

our $config = {
    handle_prefix => '2027/uc2',
    packagetypes => [qw(ht ia)],
    description => 'University of California (ARKID)',
    tags => [qw(bib report)]
};

sub validate_barcode {
    my $self    = shift;
    my $ark_id   = shift;
    # match ia scheme & ia test minter scheme
    return unless ( $ark_id =~ m#ark:/13960/(t|fk)\d[a-z\d][a-z\d]\d[a-z\d][a-z\d]\d[a-z\d]# );
    # trim off ark:/
    $ark_id =~ s/^ark:\///;
    # validate check char
    return unless ( HTFeed::Namespace::noid_checkchar( $ark_id ) );

    return 1;
}

1;

__END__
