package HTFeed::Namespace::Yale;

use strict;
use warnings;
use HTFeed::Namespace;
use HTFeed::XPathValidator qw(:closures);
use base qw(HTFeed::Namespace);

# The HathiTrust namespace
our $identifier = 'yale';

our $config = {
    packagetypes => [qw(ht yale)],

    handle_prefix => '2027/yale',
    description => 'Yale University',
    tags => [qw(bib local report)]
};

# Expected barcodes: 39002...
sub validate_barcode {
    my $self    = shift;
    my $barcode = shift;
    return $self->luhn_is_valid('39002',$barcode);
}


1;
__END__

=pod

This is the namespace configuration file for Yale.

=head1 SYNOPSIS

use HTFeed::Namespace;

my $namespace = new HTFeed::Namespace('yale');

=head1 AUTHOR

Aaron Elkiss, University of Michigan, aelkiss@umich.edu

=head1 COPYRIGHT

Copyright (c) 2010 University of Michigan. All rights reserved.  This program
is free software; you can redistribute it and/or modify it under the same terms
as Perl itself.

=cut
