package HTFeed::PackageType::Google::Download;

use warnings;
use strict;

use base qw(HTFeed::Stage::Download);

use HTFeed::Config qw(get_config);

use Log::Log4perl qw(get_logger);

sub run{
    my $self = shift;
    my $volume = $self->{volume};
    
    my $objid = $volume->get_objid();
    my $grinid = $volume->get_nspkg()->get('grinid');


    my $filename = uc($objid) . ".tar.gz.gpg"; 
    my $url = "https://books.google.com/libraries/$grinid/$filename";
    my $staging_dir = $volume->get_download_directory();

    if(! -e $staging_dir) {
	    mkdir $staging_dir or die("Can't mkdir $staging_dir: $!");
    }
    
    $self->download(url => $url, path => $staging_dir, filename => $volume->get_SIP_filename());
    
    $self->_set_done();
    return $self->succeeded();
}

1;

__END__;

